Bug 922424 - (CVE-2012-6537) CVE-2012-6537 Kernel: xfrm_user information leaks copy_to_user_
CVE-2012-6537 Kernel: xfrm_user information leaks copy_to_user_
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120919,reported=2...
: Security
Depends On: 922426 922427 922428 922429
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-03-16 15:42 EDT by Prasad J Pandit
Modified: 2015-07-31 03:02 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 17:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-16 15:42:18 EDT
Linux kernel built with XFRM framework support is vulnerable to a memory
leakage flaw. It occurs while in routines - copy_to_user_state,
copy_to_user_policy and copy_to_user_tmpl.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/1f86840f897717f86d523a13e99a447e6a5d2fa5
 -> https://git.kernel.org/linus/7b789836f434c87168eab067cfbed1ec4783dffd
 -> https://git.kernel.org/linus/f778a636713a435d3a922c60b1622a91136560c1

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/21
Comment 1 Prasad J Pandit 2013-03-16 15:45:44 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise MRG 2.

This issue did affect the version of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.
Comment 3 errata-xmlrpc 2013-04-16 15:07:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html
Comment 4 errata-xmlrpc 2013-04-23 14:32:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Note You need to log in before you can comment on or make changes to this bug.